com.creamtec.ajaxswing.rendering

## Class RenderContext

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.RenderContext

-     public class RenderContext
      extends java.lang.Object

  Stores the current runtime information about the rendering process. The context is associated with a page and can be used to avoid passing parameters into methods. See individual attributes for more information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map` | `blockedWindows`
    `java.lang.String` | `errorMessage`
    `java.lang.String` | `errorMessageAutoRefreshText`
    `java.lang.String` | `errorMessageTitle`
    `int` | `errorRefreshTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Window` | `getWindow()`
    `java.awt.Container` | `getWindowContainer()` Returns the current root container, such as Window, Frame, Dialog or JInternalFrame
    `void` | `reset()`
    `void` | `setWindowContainer(java.awt.Container container)`
    `boolean` | `wasWindowBlocked(java.lang.Integer windowHash)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockedWindows

          public java.util.Map blockedWindows

    - #### errorMessage

          public java.lang.String errorMessage

    - #### errorMessageAutoRefreshText

          public java.lang.String errorMessageAutoRefreshText

    - #### errorMessageTitle

          public java.lang.String errorMessageTitle

    - #### errorRefreshTime

          public int errorRefreshTime

  - ### Constructor Detail

    - #### RenderContext

          public RenderContext()

  - ### Method Detail

    - #### getWindow

          public java.awt.Window getWindow()

    - #### getWindowContainer

          public java.awt.Container getWindowContainer()

      Returns the current root container, such as Window, Frame, Dialog or JInternalFrame
      Returns:
        root container

    - #### reset

          public void reset()

    - #### setWindowContainer

          public void setWindowContainer(java.awt.Container container)

    - #### wasWindowBlocked

          public boolean wasWindowBlocked(java.lang.Integer windowHash)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.